class Employee:
    def __init__(self, fio = "", otdel="", dolzhnost="",oklad=0):
        self.fio=fio
        self.otdel=otdel
        self.dolzhnost=dolzhnost
        self.oklad=oklad
        self.__pooshreniya=[]
        self.pooshreniya = property(
            self.get_pooshreniya,
            self.set_pooshreniya
            )
    def change_oklad(self, diff):
        self.oklad += diff
    def change_otdel(self, new_otdel):
        self.otdel = new_otdel
    def change_dolzhnost(self, new_dolzhnost):
        self.dolzhnost = new_dolzhnost
    def get_pooshreniya(self):
        return list(self.__pooshreniya)
    def set_pooshreniya(self,pooshrenie):
        self.__pooshreniya.append(pooshrenie)
    def get_employee_info(self):
        print(f"""
    ФИО: {self.fio}
    Отдел: {self.otdel}
    Должность: {self.dolzhnost}
    Оклад: {self.oklad} руб.
    Поощрения: {self.__pooshreniya}
    """)
